Update CustomerCopy Pagepost https://developer-api.bringg.com/services/i58jfu44/{service_uuid1}/{service_uuid2}Use to update a customer's details. NOTE: Use a customer object for the body parameter, see JSON examples below.Body Paramsidint32requiredThe Bringg ID of the customer. Must use this field or external_id.external_idstringrequiredYour system's ID for the customer. Must use either this field or id.namestringThe name of this customer. The maximum length is 255 letters.addressstringThe address of this customer. Must be geolocated in Google Maps. The maximum length is 255 characters.address_second_linestringThe address second line of this customer, if needed. For example, "First floor" or "Apartment 1".citystringThis customer's city.statestringThis customer's state.zipcodestringThis customer's ZIP Code. The default value is null.emailstringThe email address of this customer. The default value is an empty string.allow_sending_emailbooleanIndicates whether this customer allows email sharing. The values are: false or 0 - customer does not allow email sharing, true or 1 - customer allows email sharing.truefalsephonestringThe phone number of this customer.allow_sending_smsbooleanIndicates whether this customer allows SMS sharing.The values are: false or 0 - customer does not allow SMS sharing, true or 1 - customer allows SMS sharing.truefalselatdoubleThe latitude of this customer's address.lngdoubleThe longitude of this customer's address.kindint32In any order, this indicates the type of location of the given waypoint. Options include: Customer address = 0, Warehouse = 1, Store location = 2, Locker = 3, Fulfillment center = 5languagestringThe language setting from this customer's app. This is a 2-letter code, for example "en" for English or "fr" for French. Note: This may be different than the company's default language.districtstringThis customer's district.boroughstringThis customer's borough. This can also be used for any neighborhood or zone.confirmation_codestringThe confirmation code sent to this customer's phone for login verification.allow_loginbooleanIndicates whether this customer can login. The values are: false or 0 - customer cannot login, true or 1 - customer can login.truefalsehouse_numberstringThe house number of this customer.imagestringThe URL of an image associated with this customer.has_parking_areabooleanIndicates whether there is a loading/unloading zone at the destination.truefalserankint32Gives priority between customers when using Route Optimization or AutoDispatch. null is the lowest rank, 1 is the highest rank (for example rank null < rank 3 < rank 2 < rank 1). 0 in not accepted.streetstringThis customer's street.team_idsstringAn array of the team id's for the teams responsible for delivery to this customer.HeadersacceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsontext/plainAllowed:application/jsontext/plainResponses 200200 400400Updated 17 days ago